Package org.apache.sling.distribution.journal.bookkeeper

# Class ErrorListener

java.lang.Object
org.apache.sling.distribution.journal.bookkeeper.ErrorListener

All Implemented Interfaces:
  `org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener`

public class ErrorListener extends Object implements org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener

`org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener.Mode`

## Constructor Summary

Constructors
Constructor
Description
`ErrorListener()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLastErrorMessage()`
`void`
`onError(org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener.Mode mode, String path, Exception e)`
`void`
`onMessage(org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener.Mode mode, String action, String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ErrorListener

public ErrorListener()

## Method Details

### getLastErrorMessage

@CheckForNull public String getLastErrorMessage()

Returns:
  the error message of the last FileVault error logged ; or `null` if no error message has been logged.

### onMessage

public void onMessage(org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener.Mode mode, String action, String path)

Specified by:
  `onMessage` in interface `org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener`

### onError

public void onError(org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener.Mode mode, String path, Exception e)

Specified by:
  `onError` in interface `org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener`